Get a single knowledge article

Get knowledge article by id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The id of the article to retrieve

Response

Knowledge article
idstring1-160 characters
A unique identifier for the article
namestring1-255 characters
The name or title of the article
contentstring>=1 character
The content of the article in markdown format
urlstring or nullformat: "url"
The url of the article
knowledge_source_idstring or null

The id of the knowledge_source the article belongs to

languageenum

The ISO 639-1 language code of the article, defaults to en

tag_idslist of strings
A list of ids for the tags associated with the article
createdstringformat: "date-time"
The date the article was created in Ada
updatedstringformat: "date-time"
The date the article was last updated in Ada
external_createdstring or nullformat: "date-time"
The date the article was created in the source system
external_updatedstring or nullformat: "date-time"
The date the article was last updated in the source system
enabledboolean

Whether the article should be referenced during response generation, defaults to true

metadataobject or null
A dictionary of arbitrary key,value pairs. This data is not used by Ada, but can be used by the client to store additional information about the article.
availability_rulesobject or null

Availability rule controlling which articles the AI Agent can access during a conversation. null when no rule is set.

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error